#!/bin/sh

if (test "$1" = "") then
	echo Parameter missing
	exit 1
fi

if (test -d $1) then
  # recursively tag a whole directory
	ctags -R -u -n -f - $1 | gTags -x $1
else
  # tag all argument files
	ctags -u -n -f - $@ | gTags $1
fi
